The Blog

DG-Tweets WordPress Plugin

I thought I would have a crack at creating my first WordPress widget / plugin; nothing spectacular, just a simple tweets widget that fetches your recent tweets via Twitter’s JSON API.

The plugin requires at least PHP 5: mainly because I can’t stand coding for PHP 4, but also because WordPress will be ditching PHP 4 come version 3.2. Hooray!

It has only been tested with WordPress 3.1, but it should work from as far back as version 2.7. Let me know if you have any issues.

Hope it comes in handy.

Installation

  1. Upload the plugin to the “/wp-content/plugins/” directory and unzip it.
  2. Activate the plugin through the “Plugins” menu in WordPress.
  3. Place the “DG-Tweets” widget inside one of your themes widget areas through the “Widgets” menu in WordPress.
  4. Replace the default widget details with your own.

Grab the Source →
Download the Plugin →

Leave a Reply

Your email address will not be published. Required fields are marked *